<?php

    require_once 'conexion.php';

    class DashboardModelo{

        static public function mdlGetDatosDashboard(){
        
            
            $stmt= Conexion::conectar()->prepare('CALL prc_OptenerDatosDashboard()');

            $stmt->execute();

            return $stmt->fetchAll(PDO::FETCH_OBJ);
        }

        static public function mdlGetVentasMesActual(){
            $stmt= Conexion::conectar()->prepare('CALL prc_OptenerVentasMesActual()');

            $stmt->execute();

            return $stmt->fetchAll(PDO::FETCH_OBJ);
        }

        static public function mdlproductosMasVendidos(){
            $stmt= Conexion::conectar()->prepare('CALL prc_ListaProductoMasVendido()');

            $stmt->execute();

            return $stmt->fetchAll(PDO::FETCH_OBJ);
        }

        
        static public function mdlProductosPocoStock(){
            $stmt= Conexion::conectar()->prepare('CALL prc_ListaProductosPocoStock()');

            $stmt->execute();

            return $stmt->fetchAll(PDO::FETCH_OBJ);
        }
        



    }